<?php
namespace Thombo\Sishandball2\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 Thomas Bodenbender <info@thombo.com>, thombo Softwareentwicklung und IT-Beratungs GmbH
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class League extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * number
	 *
	 * @var \string
	 */
	protected $number;

	/**
	 * name
	 *
	 * @var \string
	 */
	protected $name;

	/**
	 * comment
	 *
	 * @var \string
	 */
	protected $comment;

	/**
	 * access
	 *
	 * @var \Thombo\Sishandball2\Domain\Model\Access
	 */
	protected $access;

	/**
	 * Returns the number
	 *
	 * @return \string $number
	 */
	public function getNumber() {
		return $this->number;
	}

	/**
	 * Sets the number
	 *
	 * @param \string $number
	 * @return void
	 */
	public function setNumber($number) {
		$this->number = $number;
	}

	/**
	 * Returns the name
	 *
	 * @return \string $name
	 */
	public function getName() {
		return $this->name;
	}

	/**
	 * Sets the name
	 *
	 * @param \string $name
	 * @return void
	 */
	public function setName($name) {
		$this->name = $name;
	}

	/**
	 * Returns the comment
	 *
	 * @return \string $comment
	 */
	public function getComment() {
		return $this->comment;
	}

	/**
	 * Sets the comment
	 *
	 * @param \string $comment
	 * @return void
	 */
	public function setComment($comment) {
		$this->comment = $comment;
	}

	/**
	 * Returns the access
	 *
	 * @return \Thombo\Sishandball2\Domain\Model\Access $access
	 */
	public function getAccess() {
		return $this->access;
	}

	/**
	 * Sets the access
	 *
	 * @param \Thombo\Sishandball2\Domain\Model\Access $access
	 * @return void
	 */
	public function setAccess(\Thombo\Sishandball2\Domain\Model\Access $access) {
		$this->access = $access;
	}

}
?>