<?php
return array(
	'ctrl' => array(
            'title'	=> 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_access',
            'label' => 'username',
            'tstamp' => 'tstamp',
            'crdate' => 'crdate',
            'cruser_id' => 'cruser_id',
            'dividers2tabs' => TRUE,
            'delete' => 'deleted',
            'enablecolumns' => array(
                    'disabled' => 'hidden',
                    'starttime' => 'starttime',
                    'endtime' => 'endtime',
            ),
            'searchFields' => 'username,password,',
            'iconfile' => 'EXT:sishandball2/Resources/Public/Icons/access.png'
        ),
	'interface' => array(
		'showRecordFieldList' => 'hidden, username, password',
	),
	'types' => array(
		'1' => array('showitem' => 'username, password,--div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access,starttime, endtime, hidden'),
	),
	'palettes' => array(),
	'columns' => array(

		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'username' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_access.username',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'password' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_access.password',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'nospace,password'
			),
		),
	),
);

?>