<?php
return array(
	'ctrl' => array(
            'title'	=> 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_club',
            'label' => 'name',
            'tstamp' => 'tstamp',
            'crdate' => 'crdate',
            'cruser_id' => 'cruser_id',
            'dividers2tabs' => TRUE,
            'delete' => 'deleted',
            'enablecolumns' => array(
                    'disabled' => 'hidden',
                    'starttime' => 'starttime',
                    'endtime' => 'endtime',
            ),
            'searchFields' => 'number,name,shortname,homepage,email,',
            'iconfile' => 'EXT:sishandball2/Resources/Public/Icons/club.png'
        ),
	'interface' => array(
		'showRecordFieldList' => 'hidden, number, name, shortname, homepage, email',
	),
	'types' => array (
		'0' => array('showitem' => 'name, --palette--;;1, --palette--;;2, --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access, starttime, endtime, hidden')
	),
	'palettes' => array (
		'1' => array('showitem' => 'number, shortname', 'canNotCollapse' => TRUE),
		'2' => array('showitem' => 'homepage, email', 'canNotCollapse' => TRUE)
	),
	'columns' => array(

		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 8,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 8,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'number' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_club.number',
			'config' => array(
				'type' => 'input',
				'size' => 6,
				'eval' => 'trim'
			),
		),
		'name' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_club.name',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'shortname' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_club.shortname',
			'config' => array(
				'type' => 'input',
				'size' => 10,
				'eval' => 'trim'
			),
		),
		'homepage' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_club.homepage',
			'config' => array(
				'type' => 'input',
				'size' => 25,
				'eval' => 'trim'
			),
		),
		'email' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_club.email',
			'config' => array(
				'type' => 'input',
				'size' => 25,
				'eval' => 'trim'
			),
		),
	),
);

?>