<?php
return array(
	'ctrl' => array(
            'title'	=> 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_league',
            'label' => 'name',
            'tstamp' => 'tstamp',
            'crdate' => 'crdate',
            'cruser_id' => 'cruser_id',
            'dividers2tabs' => TRUE,
            'sortby' => 'sorting',

            'delete' => 'deleted',
            'enablecolumns' => array(
                    'disabled' => 'hidden',
                    'starttime' => 'starttime',
                    'endtime' => 'endtime',
            ),
            'searchFields' => 'number,name,comment,access,',
            'iconfile' => 'EXT:sishandball2/Resources/Public/Icons/league.png'
        ),
	'interface' => array(
		'showRecordFieldList' => 'hidden, number, name, comment, access',
	),
	'types' => array (
		'0' => array('showitem' => 'name, --palette--;;1, comment, --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access, starttime, endtime, hidden')
	),
	'palettes' => array (
		'1' => array('showitem' => 'number, access', 'canNotCollapse' => TRUE)
	),
	'columns' => array(

		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'number' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_league.number',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'name' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_league.name',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'comment' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_league.comment',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 15,
				'eval' => 'trim'
			),
		),
		'access' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_league.access',
			'config' => array(
				'type' => 'select',
                                'renderType' => 'selectSingle',
				'foreign_table' => 'tx_sishandball2_domain_model_access',
				'minitems' => 0,
				'maxitems' => 1,
			),
		),
	),
);

?>