<?php
return array(
	'ctrl' => array(
            'title'	=> 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_match',
            'label' => 'number',
            'label_alt' => 'matchdate, home, guest',
            'label_alt_force' => TRUE,
            'tstamp' => 'tstamp',
            'crdate' => 'crdate',
            'cruser_id' => 'cruser_id',
            'dividers2tabs' => TRUE,
            'delete' => 'deleted',
            'enablecolumns' => array(
                    'disabled' => 'hidden',
                    'starttime' => 'starttime',
                    'endtime' => 'endtime',
            ),
            'searchFields' => 'number,matchdate,rslt_hlf_h,rslt_hlf_g,rslt_h,rslt_g,pts_h,pts_g,reports,smscode,league,home,guest,hall,',
            'iconfile' => 'EXT:sishandball2/Resources/Public/Icons/match.png'
        ),
	'interface' => array(
		'showRecordFieldList' => 'hidden, number, matchdate, rslt_hlf_h, rslt_hlf_g, rslt_h, rslt_g, pts_h, pts_g, reports, smscode, league, home, guest, hall',
	),
	'types' => array (
		'0' => array('showitem' => '--palette--;;6;;1-1-1, --palette--;;5;;2-2-2,--palette--;;4;;2-2-2,--palette--;;1;;2-2-2, --palette--;LLL:EXT:sishandball/locallang_db.xml:tx_sishandball_matches.ptsrslt;3;;, reports, --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access, starttime, endtime, hidden')
	),
	'palettes' => array (
		'1' => array('showitem' => 'rslt_h, rslt_g', 'canNotCollapse' => TRUE),
		'3' => array('showitem' => 'rslt_hlf_h, rslt_hlf_g, pts_h, pts_g', 'canNotCollapse' => TRUE),
		'4' => array('showitem' => 'home, guest', 'canNotCollapse' => TRUE),
		'5' => array('showitem' => 'matchdate, hall', 'canNotCollapse' => TRUE),
		'6' => array('showitem' => 'league,number,smscode', 'canNotCollapse' => TRUE)
	),
	'columns' => array(

		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'number' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_match.number',
			'config' => array(
				'type' => 'input',
				'size' => 4,
				'eval' => 'trim'
			),
		),
		'matchdate' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_match.matchdate',
			'config' => array(
				'type' => 'input',
				'size' => 14,
				'eval' => 'datetime',
				'checkbox' => 1,
				'default' => time()
			),
		),
		'rslt_hlf_h' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_match.rslt_hlf_h',
			'config' => array(
				'type' => 'input',
				'size' => 4,
				'eval' => 'int'
			),
		),
		'rslt_hlf_g' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_match.rslt_hlf_g',
			'config' => array(
				'type' => 'input',
				'size' => 4,
				'eval' => 'int'
			),
		),
		'rslt_h' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_match.rslt_h',
			'config' => array(
				'type' => 'input',
				'size' => 4,
				'eval' => 'int'
			),
		),
		'rslt_g' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_match.rslt_g',
			'config' => array(
				'type' => 'input',
				'size' => 4,
				'eval' => 'int'
			),
		),
		'pts_h' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_match.pts_h',
			'config' => array(
				'type' => 'input',
				'size' => 4,
				'eval' => 'int'
			),
		),
		'pts_g' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_match.pts_g',
			'config' => array(
				'type' => 'input',
				'size' => 4,
				'eval' => 'int'
			),
		),
		'reports' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_match.reports',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'smscode' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_match.smscode',
			'config' => array(
				'type' => 'input',
				'size' => 10,
				'eval' => 'trim'
			),
		),
		'league' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_match.league',
			'config' => array(
				'type' => 'select',
                                'renderType' => 'selectSingle',
				'foreign_table' => 'tx_sishandball2_domain_model_league',
				'minitems' => 0,
				'maxitems' => 1,
			),
		),
		'home' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_match.home',
			'config' => array(
				'type' => 'select',
                                'renderType' => 'selectSingle',
				'foreign_table' => 'tx_sishandball2_domain_model_team',
				'minitems' => 0,
				'maxitems' => 1,
			),
		),
		'guest' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_match.guest',
			'config' => array(
				'type' => 'select',
                                'renderType' => 'selectSingle',
				'foreign_table' => 'tx_sishandball2_domain_model_team',
				'minitems' => 0,
				'maxitems' => 1,
			),
		),
		'hall' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_match.hall',
			'config' => array(
				'type' => 'select',
                                'renderType' => 'selectSingle',
				'foreign_table' => 'tx_sishandball2_domain_model_sportshall',
				'minitems' => 0,
				'maxitems' => 1,
			),
		),
	),
);

?>