<?php
return array(
	'ctrl' => array(
                'title'	=> 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_sportshall',
		'label' => 'name',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'number,name,street,city,phone,',
		'iconfile' => 'EXT:sishandball2/Resources/Public/Icons/sportshall.png',
        ),
	'interface' => array(
		'showRecordFieldList' => 'hidden, number, name, street, city, phone',
	),
	'types' => array (
		'0' => array('showitem' => 'name, --palette--;;1, --palette--;LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball_sportshalls.address;2, --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access, starttime, endtime, hidden')
	),
	'palettes' => array (
		'1' => array('showitem' => 'number, phone', 'canNotCollapse' => TRUE),
		'2' => array('showitem' => 'street, city', 'canNotCollapse' => TRUE)
	),
	'columns' => array(
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 8,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 8,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'number' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_sportshall.number',
			'config' => array(
				'type' => 'input',
				'size' => 6,
				'eval' => 'trim,required'
			),
		),
		'name' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_sportshall.name',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'street' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_sportshall.street',
			'config' => array(
				'type' => 'input',
				'size' => 20,
				'eval' => 'trim'
			),
		),
		'city' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_sportshall.city',
			'config' => array(
				'type' => 'input',
				'size' => 20,
				'eval' => 'trim'
			),
		),
		'phone' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:sishandball2/Resources/Private/Language/locallang_db.xlf:tx_sishandball2_domain_model_sportshall.phone',
			'config' => array(
				'type' => 'input',
				'size' => 10,
				'eval' => 'trim'
			),
		),
	),
);