Ext.onReady(function() {
	Ext.get('leagueSelect').addListener({
		change: function() {
			Ext.get('clubSelect').dom.value = 0;

			clearTeams();
			submitForm();
		}
	});

	Ext.get('clubSelect').addListener({
		change: function() {
			Ext.get('leagueSelect').dom.value = 0;

			clearTeams();
			submitForm();
		}
	});

	Ext.get('homeTeamSelect').addListener({
		change: function() {
			Ext.get('guestTeamSelect').dom.value = 0;
			submitForm();
		}
	});

	Ext.get('guestTeamSelect').addListener({
		change: function() {
			Ext.get('homeTeamSelect').dom.value = 0;
			submitForm();
		}
	});
});

function submitForm(){
	Ext.get('filter').dom.submit();
}

function clearTeams(){
	if(Ext.get('homeTeamSelect') != null) {
		Ext.get('homeTeamSelect').dom.value = 0;
	}

	if(Ext.get('guestTeamSelect') != null) {
		Ext.get('guestTeamSelect').dom.value = 0;
	}
}