<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['processDatamapClass'][] = 'Thombo\Sishandball2\Helper\Flexformutils';

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin($_EXTKEY, 'Sishandball2', 'Handball');

$pluginSignature = str_replace('_','',$_EXTKEY).'_sishandball2';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist'][$pluginSignature] = 'layout, select_key, pages, recursive';

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue($pluginSignature, 'FILE:EXT:'.$_EXTKEY.'/Configuration/FlexForms/flexform.xml');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tt_content.pi_flexform.'.$pluginSignature.'.list', 'EXT:'.$_EXTKEY.'/Resources/Private/Language/locallang_csh_flexform.xlf');

if(TYPO3_MODE === 'BE') {
	/**
	 * Registers a Backend Module
	 */
	\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
		'Thombo.' . $_EXTKEY,
		'web',	 // Make module a submodule of 'tools'
		'sishandball2',	// Submodule key
		'',						// Position
		array(
			'Match' => 'matches4BE',
		),
		array(
			'access' => 'user,group',
			'icon'   => 'EXT:'.$_EXTKEY.'/Resources/Public/Icons/modicon.gif',
			'labels' => 'LLL:EXT:'.$_EXTKEY.'/Resources/Private/Language/locallang_sishandball2.xlf',
		)
	);
}

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'SIS Handball');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_sishandball2_domain_model_league', 'EXT:sishandball2/Resources/Private/Language/locallang_csh_tx_sishandball2_domain_model_league.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_sishandball2_domain_model_league');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_sishandball2_domain_model_specialteamshort', 'EXT:sishandball2/Resources/Private/Language/locallang_csh_tx_sishandball2_domain_model_specialteamshort.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_sishandball2_domain_model_specialteamshort');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_sishandball2_domain_model_access', 'EXT:sishandball2/Resources/Private/Language/locallang_csh_tx_sishandball2_domain_model_access.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_sishandball2_domain_model_access');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_sishandball2_domain_model_team', 'EXT:sishandball2/Resources/Private/Language/locallang_csh_tx_sishandball2_domain_model_team.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_sishandball2_domain_model_team');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_sishandball2_domain_model_match', 'EXT:sishandball2/Resources/Private/Language/locallang_csh_tx_sishandball2_domain_model_match.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_sishandball2_domain_model_match');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_sishandball2_domain_model_correction', 'EXT:sishandball2/Resources/Private/Language/locallang_csh_tx_sishandball2_domain_model_correction.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_sishandball2_domain_model_correction');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_sishandball2_domain_model_sportshall', 'EXT:sishandball2/Resources/Private/Language/locallang_csh_tx_sishandball2_domain_model_sportshall.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_sishandball2_domain_model_sportshall');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_sishandball2_domain_model_club', 'EXT:sishandball2/Resources/Private/Language/locallang_csh_tx_sishandball2_domain_model_club.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_sishandball2_domain_model_club');